The Spring Framework

## org.springframework.jdbc.core.simple
Interface ParameterizedRowMapper<T>

All Superinterfaces:
  RowMapper

All Known Implementing Classes:
  ParameterizedBeanPropertyRowMapper, ParameterizedSingleColumnRowMapper

    public interface ParameterizedRowMapper<T>

extends RowMapper

Extension of the `RowMapper` interface, adding type parameterization. Uses Java 5 covariant return types to override the return type of the `mapRow(java.sql.ResultSet, int)` method to be the type parameter `T`.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  `SimpleJdbcOperations`

Method Summary
`T` `mapRow(ResultSet rs, int rowNum)` Implementations should return the object representation of the current row in the supplied `ResultSet`.

Method Detail

### mapRow

    T mapRow(ResultSet rs,
             int rowNum)
             throws SQLException

  Implementations should return the object representation of the current row in the supplied `ResultSet`.

  Specified by:
    `mapRow` in interface `RowMapper`
  Parameters:
    `rs` - the ResultSet to map (pre-initialized for the current row)
    `rowNum` - the number of the current row
  Returns:
    the result object for the current row
  Throws:
    `SQLException` - if a SQLException is encountered getting column values (that is, there's no need to catch SQLException)
  See Also:
    `RowMapper.mapRow(java.sql.ResultSet, int)`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.